Page MenuHomePhabricator

Convert WikimediaEvents statsv.js to use sendBeacon
Closed, ResolvedPublic

Description

We're already using sendBeacon for EventLogging (which covers the majority of client-side metric gathering), but for several more light-weight metrics we use statsv (an HTTP end-point that pushes straight into statsd).

This should be updated to make use of sendBeacon, right now it still uses new Image.

Ideally we wouldn't repeat the sendBeacon fallback abstraction layer in WikimediaEvents but re-use what we have in EventLogging. It may need to be publicly exposed (if not already).

Event Timeline

Krinkle created this task.Sep 17 2015, 12:53 AM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Needs Triage.
Krinkle added a subscriber: Krinkle.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 12:53 AM

Change 274619 had a related patch set uploaded (by Krinkle):
ext.wikimediaEvents.statsd: Use navigator.sendBeacon if available

https://gerrit.wikimedia.org/r/274619

Krinkle triaged this task as Normal priority.Mar 3 2016, 2:13 AM
Krinkle claimed this task.
Krinkle set Security to None.
Krinkle moved this task from Inbox to Doing on the Performance-Team board.

Change 274619 merged by jenkins-bot:
ext.wikimediaEvents.statsd: Use navigator.sendBeacon if available

https://gerrit.wikimedia.org/r/274619

Krinkle closed this task as Resolved.Mar 16 2016, 12:04 AM